# a tiny compile is without Neogeo games
COREDEFS += -DTINY_COMPILE=1
#COREDEFS += -DTINY_NAME="driver_pacman,driver_mspacman,driver_mspacmab"
#COREDEFS += -DTINY_POINTER="&driver_pacman,&driver_mspacman,&driver_mspacmab"

COREDEFS += -DTINY_NAME="driver_mspacman,driver_mspacmab, driver_nibbler, driver_nibblerc, driver_trackfld, driver_exerion, driver_phoenix, driver_phoenixt, driver_tehkanwc, driver_amidar"
COREDEFS += -DTINY_POINTER="&driver_mspacman,&driver_mspacmab, &driver_nibbler, &driver_nibblerc, &driver_trackfld, &driver_exerion, &driver_phoenixt, &driver_phoenix, &driver_tehkanwc, &driver_amidar"

# uses these CPUs
CPUS+=8085A@
CPUS+=I8035@
CPUS+=I8039@
CPUS+=N2A03@
CPUS+=S2650@
CPUS+=Z80@
CPUS+=M6809@
CPUS+=M6502@

# uses these SOUNDs

SOUNDS+=AY8910@
SOUNDS+=CUSTOM@
SOUNDS+=DAC@
SOUNDS+=NAMCO@
SOUNDS+=NES@
SOUNDS+=SAMPLES@
SOUNDS+=SN76496@
SOUNDS+=TMS36XX@
SOUNDS+=TMS5110@
SOUNDS+=VLM5030@
SOUNDS+=ADPCM@
SOUNDS+=MSM5205@
SOUNDS+=SN76477@

#SOUNDS+=YM2203@
#SOUNDS+=YM2151_ALT@
#SOUNDS+=YM2608@
#SOUNDS+=YM2610@
#SOUNDS+=YM2610B@
#SOUNDS+=YM2612@
#SOUNDS+=YM3438@
#SOUNDS+=YM2413@
#SOUNDS+=YM3812@
#SOUNDS+=YMZ280B@
#SOUNDS+=YM3526@
#SOUNDS+=Y8950@
#SOUNDS+=DISCRETE@
#SOUNDS+=DAC@
#SOUNDS+=OKIM6295@
#SOUNDS+=CUSTOM@
#SOUNDS+=X1_010@
#SOUNDS+=C6280@


OBJS = \
$(OBJ)/drivers/rockola.o \
$(OBJ)/drivers/amidar.o \
$(OBJ)/drivers/cclimber.o \
$(OBJ)/drivers/cvs.o \
$(OBJ)/drivers/epos.o \
$(OBJ)/drivers/frogger.o \
$(OBJ)/drivers/galaxian.o \
$(OBJ)/drivers/jrpacman.o \
$(OBJ)/drivers/pacman.o \
$(OBJ)/drivers/phoenix.o \
$(OBJ)/drivers/scobra.o \
$(OBJ)/drivers/scramble.o \
$(OBJ)/drivers/dkong.o \
$(OBJ)/drivers/ladybug.o \
$(OBJ)/machine/drakton.o \
$(OBJ)/machine/strtheat.o \
$(OBJ)/machine/acitya.o \
$(OBJ)/machine/jumpshot.o \
$(OBJ)/machine/mspacman.o \
$(OBJ)/machine/pacplus.o \
$(OBJ)/machine/scramble.o \
$(OBJ)/machine/theglobp.o \
$(OBJ)/sndhrdw/cclimber.o \
$(OBJ)/sndhrdw/galaxian.o \
$(OBJ)/sndhrdw/phoenix.o \
$(OBJ)/sndhrdw/pleiads.o \
$(OBJ)/sndhrdw/scramble.o \
$(OBJ)/sndhrdw/dkong.o \
$(OBJ)/sndhrdw/rockola.o \
$(OBJ)/vidhrdw/ladybug.o \
$(OBJ)/vidhrdw/crtc6845.o \
$(OBJ)/vidhrdw/cclimber.o \
$(OBJ)/vidhrdw/dkong.o \
$(OBJ)/vidhrdw/cvs.o \
$(OBJ)/vidhrdw/epos.o \
$(OBJ)/vidhrdw/galaxian.o \
$(OBJ)/vidhrdw/jrpacman.o \
$(OBJ)/vidhrdw/pengo.o \
$(OBJ)/vidhrdw/phoenix.o \
$(OBJ)/vidhrdw/s2636.o \
$(OBJ)/vidhrdw/rockola.o \
$(OBJ)/machine/bagman.o \
$(OBJ)/vidhrdw/bagman.o \
$(OBJ)/drivers/bagman.o \
$(OBJ)/vidhrdw/mario.o \
$(OBJ)/sndhrdw/mario.o \
$(OBJ)/drivers/mario.o \
$(OBJ)/drivers/trackfld.o \
$(OBJ)/machine/konami.o \
$(OBJ)/vidhrdw/trackfld.o \
$(OBJ)/sndhrdw/trackfld.o \
$(OBJ)/drivers/exerion.o \
$(OBJ)/vidhrdw/exerion.o \
$(OBJ)/drivers/tehkanwc.o \
$(OBJ)/vidhrdw/tehkanwc.o 


# MAME specific core objs
COREOBJS += $(OBJ)/driver.o $(OBJ)/cheat.o

